package com.ruoyi.base.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.base.domain.BaseCity;
import com.ruoyi.base.vo.BaseCityVO;

/**
 * 城市Service接口
 *
 * @author vinjor-m
 * @date 2025-03-18
 */
public interface IBaseCityService extends IService<BaseCity> {
    IPage<BaseCity> queryListPage(BaseCity pageReqVO, Page<BaseCity> page);

    /**
     * 递归查询树列表
     *
     * @return java.util.List<com.ruoyi.base.vo.BaseCityVO>
     * @author PQZ
     * @date 15:12 2025/4/2
     **/
    List<BaseCityVO> treeCity();

    /**
     * 逆递归查询树结构
     *
     * @param cityId 最子集城市id
     * @return java.lang.String
     * @author PQZ
     * @date 10:25 2025/4/3
     **/
    String getCityName(Long cityId);
}
