package com.ruoyi.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.member.domain.MemberOrder;
import com.ruoyi.member.vo.MemberOrderVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 订单Mapper接口
 *
 * @author pqz
 * @date 2025-03-17
 */
@Mapper
public interface MemberOrderMapper extends BaseMapper<MemberOrder> {

    /**
     * 分页查询订单列表
     *
     * @param entity {@link MemberOrderVO}
     * @param page   分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.vo.MemberOrderVO>
     * @author PQZ
     * @date 15:26 2025/3/25
     **/
    IPage<MemberOrderVO> queryListPage(@Param("entity") MemberOrderVO entity, Page<MemberOrder> page);
}
