package com.ruoyi.member.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.member.domain.MemberAddress;
import com.ruoyi.member.vo.MemberUniVO;

import java.util.List;

/**
 * 博主收货地址Service接口
 *
 * @author pqz
 * @date 2025-03-17
 */
public interface IMemberAddressService extends IService<MemberAddress> {

    /**
     * 根据用户id查询
     *
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.member.domain.MemberAddress>
     * @author PQZ
     * @date 10:40 2025/3/29
     **/
    List<MemberAddress> listByUserId(Long userId);


    /**
     * 保存博主地址信息
     *
     * @param address {@link MemberAddress}
     * @author PQZ
     * @date 10:12 2025/4/3
     **/
    void saveMemberAddress(MemberAddress address);

    /**
     * 设置地址为默认地址
     *
     * @param id id
     * @author PQZ
     * @date 11:07 2025/4/3
     **/
    void setDefault(String id);

    /**
     * uniApp选择地址使用
     * @author PQZ
     * @date 14:14 2025/4/3
     * @return java.util.List<com.ruoyi.member.vo.MemberUniVO>
    **/
    List<MemberUniVO> uniSelectList();
}
