package com.ruoyi.member.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.base.vo.CardRightsVO;
import com.ruoyi.member.domain.MemberCard;
import com.ruoyi.member.domain.MemberRights;

import java.util.List;

/**
 * 会员权益(定时任务重置剩余值)，用户id、会员卡id、权益对应1Service接口
 *
 * @author pqz
 * @date 2025-03-17
 */
public interface IMemberRightsService extends IService<MemberRights> {

    /**
     * 处理会员权益
     *
     * @param userId 用户表id
     * @param rights 权益
     * @author PQZ
     * @date 15:45 2025/3/27
     **/
    void dealRights(Long userId, String userType, List<CardRightsVO> rights);

    /**
     * @param userId 用户id
     * @param carId  卡id
     * @return java.lang.Integer
     * @author PQZ
     * @date 17:15 2025/3/31
     **/
    Integer getReport(Long userId, String carId);
}
