package com.ruoyi.member.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.member.vo.MemberBlacklistVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.member.mapper.MemberBlacklistMapper;
import com.ruoyi.member.domain.MemberBlacklist;
import com.ruoyi.member.service.IMemberBlacklistService;

/**
 * 黑名单Service业务层处理
 * 
 * @author pqz
 * @date 2025-03-17
 */
@Service
public class MemberBlacklistServiceImpl extends ServiceImpl<MemberBlacklistMapper,MemberBlacklist>  implements IMemberBlacklistService
{
    @Autowired
    private MemberBlacklistMapper memberBlacklistMapper;


    /**
     * 分页查询黑名单
     *
     * @param blacklist {@link MemberBlacklist}
     * @param page      分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.domain.MemberBlacklist>
     * @author PQZ
     * @date 17:28 2025/4/14
     **/
    @Override
    public IPage<MemberBlacklistVO> queryListPage(MemberBlacklist blacklist, Page<MemberBlacklist> page) {
        return memberBlacklistMapper.queryListPage(blacklist,page);
    }
}
